//   
//   WinCassette.
#include "twcwnd.h" 
#include "cassprnt.h"
#include "wincass.rc"

TTransRec sideAStrgs,  //    .
          sideBStrgs,  //    .
          dlgStrgs;    //      .
  
//   .
DEFINE_RESPONSE_TABLE1(TWCWnd, TDialog) 
	EV_COMMAND(ID_SIDE,  CmSide),
   EV_COMMAND(ID_PRINT, CmPrint), 
   EV_COMMAND(ID_ABOUT, CmAbout),
END_RESPONSE_TABLE;

// TWCWnd::TWCWnd()
//    .
TWCWnd::TWCWnd(TWindow *parent, TResId resId):
        TDialog (parent, resId) 
{
  //  OWL-  . 
  for (int  x = 101; x <= 119; ++x)
            new TEdit(this, x, 38);
  //      NULL. 
  memset(&dlgStrgs, 0, sizeof dlgStrgs); 
  memset(&sideAStrgs, 0, sizeof sideAStrgs); 
  memset(&sideBStrgs, 0, sizeof sideBStrgs);
  //       . 
  TransferBuffer = &dlgStrgs;
  //  OWL-   . 
  sideStr = new TStatic(this, ID_TITLESTRING, 7); 
  sideButn = new TButton(this, ID_SIDE);
  //    A. 
  sideA = TRUE;
  //    . 
  printer = new TPrinter;
}

//TWCWnd::~TWCWnd()
//    .
TWCWnd::~TWCWnd()
{
  delete printer;
}

// TWCWnd::CmSide()
//   ,   
//   Side.
void TWCWnd::CmSide() 
{
  //        .
  TransferData(tdGetData);
  //      ...
  if (sideA)
  {
    //       .
    sideAStrgs = dlgStrgs;
    //     Side   
    //   . 
    sideStr->SetText("Side :"); 
    sideButn->SetWindowText("&Side A");
    //   ,    
    //       . 
    strcpy(sideBStrgs.cassTitle,sideAStrgs.cassTitle);
    //       .
    dlgStrgs = sideBStrgs;
    //    .
    sideA = FALSE; 
  }
  //     ... 
  else {
    //       .
    sideBStrgs = dlgStrgs;
    //    Side    .
    sideStr->SetText("Side A:"); 
    sideButn->SetWindowText("&Side ");
    //   ,   .
    strcpy(sideAStrgs.cassTitle,sideBStrgs.cassTitle);
    //       . 
	 dlgStrgs = sideAStrgs;
    //    .
    sideA = TRUE; 
    }
  //       .
  HWND hControl = GetDlgItem(ID_SIDETITLE); 
  ::SetFocus(hControl);
  //      
  //   . 
  TransferData(tdSetData);
} 

// TWCWnd::CmPrint() 
//   ,  
//   Print.
void TWCWnd::CmPrint()
{
  //     
  //     .
  TransferData(tdGetData);
  //      
  //  ,     .
  if (sideA) sideAStrgs = dlgStrgs;
  else  sideBStrgs = dlgStrgs;
  //    . 
  TCassPrintout printout(" ");
  //   . 
  printer->Print(this, printout, TRUE);
}

// TWCWnd::CmAbout()
//   ,   
//   About.
void TWCWnd::CmAbout()
{
  char s[70];
  //    .
  strcpy(s, "   1.1 ");
  s[22] = 13;
  strcpy(&s[23] , " :    ");
  s[47] = 13;
  s[48] = 13;
  strcpy(&s[49], "    Copyright 1994 ");
  //      
  //   "ABOUT". 
  MessageBox(s, " ", MB_OK);
}